Package com.enonic.xp.security

## Class RoleKeys

- java.lang.Object
- - com.enonic.xp.security.RoleKeys

-     @PublicApi
      public final class RoleKeys
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PrincipalKey` | `ADMIN` |
    `static String` | `ADMIN_ID` |
    `static PrincipalKey` | `ADMIN_LOGIN` |
    `static String` | `ADMIN_LOGIN_ID` |
    `static PrincipalKey` | `AUDIT_LOG` |
    `static String` | `AUDIT_LOG_ID` |
    `static PrincipalKey` | `AUTHENTICATED` |
    `static PrincipalKey` | `CONTENT_MANAGER_ADMIN` |
    `static String` | `CONTENT_MANAGER_ADMIN_ID` |
    `static PrincipalKey` | `CONTENT_MANAGER_APP` |
    `static String` | `CONTENT_MANAGER_APP_ID` |
    `static PrincipalKey` | `CONTENT_MANAGER_EXPERT` |
    `static PrincipalKey` | `EVERYONE` |
    `static PrincipalKey` | `SCHEMA_ADMIN` |
    `static PrincipalKey` | `USER_MANAGER_ADMIN` |
    `static PrincipalKey` | `USER_MANAGER_APP` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADMIN_ID

          public static final String ADMIN_ID

      See Also:
        Constant Field Values

    - #### ADMIN

          public static final PrincipalKey ADMIN

    - #### EVERYONE

          public static final PrincipalKey EVERYONE

    - #### AUTHENTICATED

          public static final PrincipalKey AUTHENTICATED

    - #### ADMIN_LOGIN_ID

          public static final String ADMIN_LOGIN_ID

      See Also:
        Constant Field Values

    - #### ADMIN_LOGIN

          public static final PrincipalKey ADMIN_LOGIN

    - #### AUDIT_LOG_ID

          public static final String AUDIT_LOG_ID

      See Also:
        Constant Field Values

    - #### CONTENT_MANAGER_ADMIN_ID

          public static final String CONTENT_MANAGER_ADMIN_ID

      See Also:
        Constant Field Values

    - #### AUDIT_LOG

          public static final PrincipalKey AUDIT_LOG

    - #### USER_MANAGER_APP

          public static final PrincipalKey USER_MANAGER_APP

    - #### USER_MANAGER_ADMIN

          public static final PrincipalKey USER_MANAGER_ADMIN

    - #### CONTENT_MANAGER_APP_ID

          public static final String CONTENT_MANAGER_APP_ID

      See Also:
        Constant Field Values

    - #### CONTENT_MANAGER_APP

          public static final PrincipalKey CONTENT_MANAGER_APP

    - #### CONTENT_MANAGER_EXPERT

          public static final PrincipalKey CONTENT_MANAGER_EXPERT

    - #### CONTENT_MANAGER_ADMIN

          public static final PrincipalKey CONTENT_MANAGER_ADMIN

    - #### SCHEMA_ADMIN

          public static final PrincipalKey SCHEMA_ADMIN